com.trilead.ssh2.packets

## Class PacketUserauthInfoRequest

- java.lang.Object
- - com.trilead.ssh2.packets.PacketUserauthInfoRequest

    public class PacketUserauthInfoRequest
    extends java.lang.Object

PacketUserauthInfoRequest.

### Constructor Summary

Constructors
Constructor and Description
`PacketUserauthInfoRequest(byte[] payload, int off, int len)`

### Method Summary

Methods
`boolean[]` `getEcho()`
`java.lang.String` `getInstruction()`
`java.lang.String` `getLanguageTag()`
`java.lang.String` `getName()`
`int` `getNumPrompts()`
`java.lang.String[]` `getPrompt()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PacketUserauthInfoRequest

    public PacketUserauthInfoRequest(byte[] payload,
                             int off,
                             int len)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getEcho

    public boolean[] getEcho()

#### getInstruction

    public java.lang.String getInstruction()

#### getLanguageTag

    public java.lang.String getLanguageTag()

#### getName

    public java.lang.String getName()

#### getNumPrompts

    public int getNumPrompts()

#### getPrompt

    public java.lang.String[] getPrompt()